Bug 145796 - Impress slide preview using Skia has incorrect HiDPI fill on macOS
Summary: Impress slide preview using Skia has incorrect HiDPI fill on macOS
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
7.3.0.0 alpha0+
Hardware: All macOS (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.4.0 target:7.3.0.0.beta2
Keywords:
Depends on:
Blocks: Skia
  Show dependency treegraph
 
Reported: 2021-11-20 18:29 UTC by Thorsten Wagner
Modified: 2021-12-01 13:30 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Screenshot with Skia (incorrect rendering) (903.75 KB, image/png)
2021-11-20 18:30 UTC, Thorsten Wagner
Details
Screenshot without Skia (correct rendering) (904.57 KB, image/png)
2021-11-20 18:31 UTC, Thorsten Wagner
Details
Screenshot with Skia (detail) (34.18 KB, image/png)
2021-11-20 20:53 UTC, Thorsten Wagner
Details
Screenshot without Skia (correct rendering) (2.04 MB, image/png)
2021-11-20 21:23 UTC, Thorsten Wagner
Details
2021-12-01 main build, two dots on slide preview (466.12 KB, image/png)
2021-12-01 12:59 UTC, steve
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thorsten Wagner 2021-11-20 18:29:50 UTC
Description:
Impress slide preview is not rendered correctly (see screenshot attached, red box for the current incorrect rendering, other screenshot attached for the correct rendering without Skia).

Steps to Reproduce:
1. Open Impress and look at the slide preview pane

Actual Results:
Slide preview is rendered incorrect (see screenshot attached, red box).

Expected Results:
Rendering is like without Skia (see other screenshot attached, red box).


Reproducible: Always


User Profile Reset: No



Additional Info:
Screenshots are taken from current revision of master. Issue exists on macOS at least.
Comment 1 Thorsten Wagner 2021-11-20 18:30:34 UTC
Created attachment 176378 [details]
Screenshot with Skia (incorrect rendering)
Comment 2 Thorsten Wagner 2021-11-20 18:31:02 UTC
Created attachment 176379 [details]
Screenshot without Skia (correct rendering)
Comment 3 Roman Kuznetsov 2021-11-20 20:42:11 UTC
Thorsten please attach a correct set of the screenshots
Comment 4 Thorsten Wagner 2021-11-20 20:53:44 UTC
Created attachment 176384 [details]
Screenshot with Skia (detail)
Comment 5 Thorsten Wagner 2021-11-20 20:54:21 UTC
(In reply to Roman Kuznetsov from comment #3)
> Thorsten please attach a correct set of the screenshots

Sorry, screenshot without Skia (correct rendering) is from another ticket and attached by mistake. But I should be possible to see issue on first screenshot without the correct one too: There are horizontal lines within the surrounding frame (attached another screenshot to show this in detail).
Comment 6 Thorsten Wagner 2021-11-20 21:23:08 UTC
Created attachment 176385 [details]
Screenshot without Skia (correct rendering)
Comment 7 Telesto 2021-11-21 12:09:38 UTC
Repro
Version: 7.3.0.0.alpha1+ / LibreOffice Community
Build ID: 11800469cc7b3a40c42410be93a12e5107db0efb
CPU threads: 8; OS: Mac OS X 10.16; UI render: Skia/Raster; VCL: osx
Locale: nl-NL (nl_NL.UTF-8); UI: en-US
Calc: threaded
Comment 8 Commit Notification 2021-11-30 11:59:11 UTC
Luboš Luňák committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/53486d831784285b42860882a6b270eb847ff7aa

use DrawGradient() instead of doing it manually (tdf#145796)

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2021-11-30 13:47:20 UTC
Luboš Luňák committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/20029f713f2cb07b27d7be9bb4df5c2cec4723da

use DrawGradient() instead of doing it manually (tdf#145796)

It will be available in 7.3.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 steve 2021-12-01 12:59:03 UTC
Created attachment 176622 [details]
2021-12-01 main build, two dots on slide preview
Comment 11 steve 2021-12-01 12:59:46 UTC
Version: 7.4.0.0.alpha0+ / LibreOffice Community
Build ID: 4ac9032163cf55c160145373e7c41741c9c339ca
CPU threads: 8; OS: Mac OS X 11.6.1; UI render: Skia/Raster; VCL: osx
Locale: de-DE (en_DE.UTF-8); UI: en-US
Calc: threaded

Not entirely resolved in test. Using Skia for all rendering and Force Skia software rendering, two dots appear left and right of slide preview as soon as the slide preview is selected with mouse.

Don't think this is expected or wanted.
Comment 12 steve 2021-12-01 13:00:39 UTC
However, maybe this new problem should be a new bug?